using Spectre.Console.Cli;

namespace Geekeey.Extensions.Process.Tests.Dummy.Commands;

internal sealed class ExitCommand : Command<ExitCommand.Settings>
{
	public sealed class Settings : CommandSettings
	{
		[CommandArgument(1, "<code>")] public int Code { get; init; }
	}

	public override int Execute(CommandContext context, Settings settings)
	{
		Console.Error.WriteLine($"Exit code set to {settings.Code}");
		return settings.Code;
	}
}